<template>
    <v-layout aling-center justify-center row wrap>
        <v-flex xs12 md12 lg12 class="pl-5 pt-5">
            <h1>Hola {{ getUserData }} </h1>
            <p>
                <router-link to="/admin/dashboard/byFactNum">Busqueda por Factura</router-link>
            </p>
            <v-text-field prepend-icon="search" label="Indique nombre de paciente" v-model="search" @change="triggerSearch" />
            <br />
            <list v-bind:listado="ListadoPacientesSearch"></list>
        </v-flex>
    </v-layout>

</template>

<script>
import list from '../../components/admin/ListAdmin'

export default {
    name: 'AdminDashboard',
    components: {
        list
    },
    data() {
        return {
            search: ''
        }
    },
    methods: {
        triggerSearch: function () {
            return this.$store.dispatch('GET_LISTADOS_PACIENTES_SEARCH', this.search);
        }
    },
    computed: {
        getUserId() {
            return this.$route.params.id
        },
        getUserData() {
            return this.$store.getters.getUserName;
        },
        ListadoPacientesSearch() {
            return this.$store.getters.getListadoPacientesSearch;
        }
    }
}
</script>

<style>

</style>
